Bug 1292304 - SELinux preventing virtlogd.socket from starting
SELinux preventing virtlogd.socket from starting
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-12-16 18:54 EST by York Possemiers
Modified: 2016-01-21 06:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-21 06:53:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ausearch recent after starting virtlogd.socket in permissive mode (13.34 KB, text/plain)
2016-01-07 21:19 EST, York Possemiers
no flags Details

  None (edit)
Description York Possemiers 2015-12-16 18:54:14 EST
Description of problem:
Virtual machines in libvirt cannot start while virtlogd.socket is inaccessible. Starting the socket with 'systemctl start virtlogd.socket' yields "virtlogd.socket: Failed to listen on sockets: Permission denied"
setenforce 0 allows it to start

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. systemctl start virtlogd.socket

Actual results:
Unable to open socket

Expected results:
Unit starts successfully

Additional info:
Comment 1 Lukas Vrabec 2016-01-07 04:42:57 EST

Could reproduce this issue when you switch SELinux mode to permissive? 

If yes, could you attach reproducer and AVC msgs? 
1. Reproduce the issue
2. # ausearch -m AVC -ts recent 

Thank you.
Comment 2 York Possemiers 2016-01-07 21:19 EST
Created attachment 1112697 [details]
ausearch recent after starting virtlogd.socket in permissive mode

Note You need to log in before you can comment on or make changes to this bug.